libvisio::VSDShape Class Reference documentation

libvisio::VSDShape Class Reference

`#include <VSDStencils.h>`

## Public Member Functions
| VSDShape ()
| VSDShape (const VSDShape &shape)
| ~VSDShape ()
VSDShape & | operator= (const VSDShape &shape)
void | clear ()

## Public Attributes
std::map< unsigned, VSDGeometryList > | m_geometries
VSDShapeList | m_shapeList
VSDFieldList | m_fields
std::unique_ptr< ForeignData > | m_foreign
unsigned | m_parent
unsigned | m_masterPage
unsigned | m_masterShape
unsigned | m_shapeId
unsigned | m_lineStyleId
unsigned | m_fillStyleId
unsigned | m_textStyleId
VSDOptionalLineStyle | m_lineStyle
VSDOptionalFillStyle | m_fillStyle
VSDOptionalTextBlockStyle | m_textBlockStyle
VSDOptionalCharStyle | m_charStyle
VSDCharacterList | m_charList
VSDOptionalParaStyle | m_paraStyle
VSDParagraphList | m_paraList
std::map< unsigned, VSDTabSet > | m_tabSets
librevenge::RVNGBinaryData | m_text
std::map< unsigned, VSDName > | m_names
TextFormat | m_textFormat
std::map< unsigned, NURBSData > | m_nurbsData
std::map< unsigned, PolylineData > | m_polylineData
XForm | m_xform
std::unique_ptr< XForm > | m_txtxform
std::unique_ptr< XForm1D > | m_xform1d
VSDMisc | m_misc
VSDName | m_layerMem
VSDName | m_aName

## Constructor & Destructor Documentation

## ◆ VSDShape() [1/2]

libvisio::VSDShape::VSDShape | ( |  | ) |

## ◆ VSDShape() [2/2]

libvisio::VSDShape::VSDShape | ( | const VSDShape & | shape | ) |

## ◆ ~VSDShape()

libvisio::VSDShape::~VSDShape | ( |  | ) |

## Member Function Documentation

## ◆ clear()

void libvisio::VSDShape::clear | ( |  | ) |

Referenced by ~VSDShape().

## ◆ operator=()

libvisio::VSDShape & libvisio::VSDShape::operator= | ( | const VSDShape & | shape | ) |

## Member Data Documentation

## ◆ m_aName

VSDName libvisio::VSDShape::m_aName

Referenced by clear(), operator=(), VSDShape(), and VSDShape().

## ◆ m_charList

VSDCharacterList libvisio::VSDShape::m_charList

Referenced by clear(), operator=(), libvisio::VSDXMLParserBase::readShape(), VSDShape(), and VSDShape().

## ◆ m_charStyle

VSDOptionalCharStyle libvisio::VSDShape::m_charStyle

Referenced by clear(), operator=(), VSDShape(), and VSDShape().

## ◆ m_fields

VSDFieldList libvisio::VSDShape::m_fields

Referenced by clear(), operator=(), VSDShape(), and VSDShape().

## ◆ m_fillStyle

VSDOptionalFillStyle libvisio::VSDShape::m_fillStyle

Referenced by clear(), operator=(), VSDShape(), and VSDShape().

## ◆ m_fillStyleId

unsigned libvisio::VSDShape::m_fillStyleId

Referenced by clear(), operator=(), VSDShape(), and VSDShape().

## ◆ m_foreign

std::unique_ptr<ForeignData> libvisio::VSDShape::m_foreign

Referenced by clear(), operator=(), libvisio::VSD5Parser::readShape(), libvisio::VSDParser::readShape(), libvisio::VSDXMLParserBase::readShape(), VSDShape(), and VSDShape().

## ◆ m_geometries

std::map<unsigned, VSDGeometryList> libvisio::VSDShape::m_geometries

Referenced by clear(), operator=(), libvisio::VSDXMLParserBase::readShape(), VSDShape(), and VSDShape().

## ◆ m_layerMem

VSDName libvisio::VSDShape::m_layerMem

Referenced by clear(), operator=(), VSDShape(), and VSDShape().

## ◆ m_lineStyle

VSDOptionalLineStyle libvisio::VSDShape::m_lineStyle

Referenced by clear(), operator=(), VSDShape(), and VSDShape().

## ◆ m_lineStyleId

unsigned libvisio::VSDShape::m_lineStyleId

Referenced by clear(), operator=(), VSDShape(), and VSDShape().

## ◆ m_masterPage

unsigned libvisio::VSDShape::m_masterPage

Referenced by clear(), operator=(), VSDShape(), and VSDShape().

## ◆ m_masterShape

unsigned libvisio::VSDShape::m_masterShape

Referenced by clear(), operator=(), VSDShape(), and VSDShape().

## ◆ m_misc

VSDMisc libvisio::VSDShape::m_misc

Referenced by clear(), operator=(), libvisio::VSDParser::readShape(), libvisio::VSDXMLParserBase::readShape(), VSDShape(), and VSDShape().

## ◆ m_names

std::map<unsigned, VSDName> libvisio::VSDShape::m_names

Referenced by clear(), operator=(), VSDShape(), and VSDShape().

## ◆ m_nurbsData

std::map<unsigned, NURBSData> libvisio::VSDShape::m_nurbsData

Referenced by clear(), operator=(), VSDShape(), and VSDShape().

## ◆ m_paraList

VSDParagraphList libvisio::VSDShape::m_paraList

Referenced by clear(), operator=(), libvisio::VSDXMLParserBase::readShape(), VSDShape(), and VSDShape().

## ◆ m_paraStyle

VSDOptionalParaStyle libvisio::VSDShape::m_paraStyle

Referenced by clear(), operator=(), VSDShape(), and VSDShape().

## ◆ m_parent

unsigned libvisio::VSDShape::m_parent

Referenced by clear(), operator=(), VSDShape(), and VSDShape().

## ◆ m_polylineData

std::map<unsigned, PolylineData> libvisio::VSDShape::m_polylineData

Referenced by clear(), operator=(), VSDShape(), and VSDShape().

## ◆ m_shapeId

unsigned libvisio::VSDShape::m_shapeId

Referenced by clear(), operator=(), VSDShape(), and VSDShape().

## ◆ m_shapeList

VSDShapeList libvisio::VSDShape::m_shapeList

Referenced by clear(), operator=(), VSDShape(), and VSDShape().

## ◆ m_tabSets

std::map<unsigned, VSDTabSet> libvisio::VSDShape::m_tabSets

Referenced by clear(), operator=(), libvisio::VSDParser::readShape(), libvisio::VSDXMLParserBase::readShape(), VSDShape(), and VSDShape().

## ◆ m_text

librevenge::RVNGBinaryData libvisio::VSDShape::m_text

Referenced by clear(), operator=(), libvisio::VSD5Parser::readShape(), libvisio::VSDParser::readShape(), libvisio::VSDXMLParserBase::readShape(), VSDShape(), and VSDShape().

## ◆ m_textBlockStyle

VSDOptionalTextBlockStyle libvisio::VSDShape::m_textBlockStyle

Referenced by clear(), operator=(), VSDShape(), and VSDShape().

## ◆ m_textFormat

TextFormat libvisio::VSDShape::m_textFormat

Referenced by clear(), operator=(), libvisio::VSD5Parser::readShape(), libvisio::VSDParser::readShape(), libvisio::VSDXMLParserBase::readShape(), VSDShape(), and VSDShape().

## ◆ m_textStyleId

unsigned libvisio::VSDShape::m_textStyleId

Referenced by clear(), operator=(), VSDShape(), and VSDShape().

## ◆ m_txtxform

std::unique_ptr<XForm> libvisio::VSDShape::m_txtxform

Referenced by clear(), operator=(), libvisio::VSDParser::readShape(), libvisio::VSDXMLParserBase::readShape(), VSDShape(), and VSDShape().

## ◆ m_xform

XForm libvisio::VSDShape::m_xform

Referenced by clear(), operator=(), libvisio::VSDParser::readShape(), libvisio::VSDXMLParserBase::readShape(), VSDShape(), and VSDShape().

## ◆ m_xform1d

std::unique_ptr<XForm1D> libvisio::VSDShape::m_xform1d

Referenced by clear(), operator=(), VSDShape(), and VSDShape().

The documentation for this class was generated from the following files:

- VSDStencils.h
- VSDStencils.cpp